# Arduino VS1053 Library

The Arduino vs1053 Library is a real time non-blocking interrupt driven library for VSLI's VS10xx. (e.i. VS1053), implemented as a Slave co-processor to audio decode streams of Ogg Vorbis/MP3/AAC/WMA/FLAC/WAVMIDI formats, across the SPI bus of the Arduino. Principally this library is developed for the VS1053\. where it may be compatible with other VS10xx's

Initially developed on a ATmega328 Arduino UNO/Duemilanove, additional support has been provided for many different Shields. Documentation is provided as to how to implement this, along with Arduino Mega and other home grown designs. 

# Support &amp; Trouble shooting.

Extensive support can be found at [ GitHub project page ](http://mpflaga.github.com/vs1053/) along with trouble shooting of common problems. As the code has been written with plenty of insightful comments, describing key components, features and reasonings in Doxygen markdown style as to directly auto generate html supporting documentation. Which can be found at [ GitHub project page ](http://mpflaga.github.com/vs1053/). Please read through this document and referring linked resources. As it contains additional resources.
